KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# MarbleDataFacade Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

A read-only interface to internal Marble data.

This class provides a read-only interface to some internal data in Marble. It's intended use is for plugins that should be able to access the data in question, but not change it.

See also:
  MarbleModel

## Methods
| __init__ (self, Marble.MarbleModel model)
QDateTime | dateTime (self)
MarbleGeoDataModel | geoDataModel (self)
float | planetRadius (self)
QAbstractItemModel | renderModel (self)
QString | target (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Construct a new MarbleDataFacade.

Parameters:

  | model | The MarbleModel we get the data from

QDateTime dateTime | ( |  | self ) |

MarbleGeoDataModel geoDataModel | ( |  | self ) |

float planetRadius | ( |  | self ) |

QAbstractItemModel renderModel | ( |  | self ) |

QString target | ( |  | self ) |